xcb_randr_change_output_property(3)

NAME
xcb_randr_change_output_property -

SYNOPSIS
#include <xcb/randr.h>

  Request function

xcb_void_cookie_t xcb_randr_change_output_property(xcb_connection_t *conn, xcb_randr_output_t output, xcb_atom_t property, xcb_atom_t type, uint8_t format, uint8_t mode, uint32_t num_units, const void *data);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

output
    TODO: NOT YET DOCUMENTED.

property
    TODO: NOT YET DOCUMENTED.

type
    TODO: NOT YET DOCUMENTED.

format
    TODO: NOT YET DOCUMENTED.

mode
    TODO: NOT YET DOCUMENTED.

num_units
    TODO: NOT YET DOCUMENTED.

data
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_randr_change_output_property_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from randr.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.